Subject: bug#20245: closed (Re: bug#20245: 24.5; c++-mode font-lock broken by the last commit to emacs24 branch)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 Apr 2015 12:48:02 +0000

Your bug report

#20245: 24.5; c++-mode font-lock broken by the last commit to emacs24 branch

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20245: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20245
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20245: 24.5; c++-mode font-lock broken by the last commit to emacs24 branch
From: Alan Mackenzie <[email-masked]>
To: Oleh Krehel <[email-masked]>
Cc: [email-masked]
Date: Fri, 3 Apr 2015 12:46:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Oleh.

On Thu, Apr 02, 2015 at 12:19:36PM +0200, Oleh Krehel wrote:
> On Thu, Apr 2, 2015 at 11:51 AM, Alan Mackenzie <[email-masked]> wrote:
> > In article <[email-masked]> you wrote:

> >> The font-locking of at least C++ headers was broken in "d69e9f1".
> >> Here's a screenshot: http://i.imgur.com/eT6X3hP.png. You can see three
> >> artifacts there. They change number and location when I scroll.

> > This was fixed very recently in the master branch.  Would you please try
> > the same file in master to confirm that the fix is a fix.

> I just tried "23bb07e", the latest commit on master, but this issue isn't fixed.
> The include statements look the same as in the screenshot.

I've looked at this problem and now understand its cause.  It's too
involved to fix for Emacs 24.5, so we've decided to revert that commit,
as you've suggested.  A proper fix will surely be included in Emacs 25.1
(or 24.6, whichever comes first).

Thanks for taking the trouble to report this bug.  I'm closing it now.

> Oleh

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 24.5; c++-mode font-lock broken by the last commit to emacs24 branch
From: Oleh Krehel <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 02 Apr 2015 08:55:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The font-locking of at least C++ headers was broken in "d69e9f1".
Here's a screenshot: http://i.imgur.com/eT6X3hP.png. You can see three
artifacts there. They change number and location when I scroll.

It goes back to a good state if I revert the commit and re-compile.
I hope this gets fixed by 24.5 release, even by just reverting
"d69e9f1", since this one is a bigger bug than
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19669, which "d69e9f1" fixes.

Oleh